#!/bin/sh


### MPM install ###
tar pvxzf MIACATVMA.tar.gz -C /


### Logrotate config ###
cp ./esxi5-syslog_for_miacat /etc/logrotate.d/


### syslog-ng config ###
FLAG_IN_MIACAT_CONF=0
line_without_miacat=""
if [ -e tmp.txt ]; then
  rm tmp.txt
fi

while read line;
  do
    if [ "$line" != "#miacat-config-0000-start" ] && [ $FLAG_IN_MIACAT_CONF -eq 0 ]; then
      echo $line >> tmp.txt      
    elif [ "$line" = "#miacat-config-0000-start" ] && [ $FLAG_IN_MIACAT_CONF -eq 0 ]; then
      FLAG_IN_MIACAT_CONF=1
    elif [ "$line" = "#miacat-config-0000-end" ] && [ $FLAG_IN_MIACAT_CONF -eq 1 ]; then
      FLAG_IN_MIACAT_CONF=0
    fi
done < "/etc/syslog-ng/syslog-ng.conf"

cat tmp.txt > /etc/syslog-ng/syslog-ng.conf
cat syslog-ng-add-conf.txt >> /etc/syslog-ng/syslog-ng.conf
